Update an org authorized client

PATCH https://api.ap1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}https://api.ap2.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}https://api.datadoghq.eu/api/v2/org_authorized_clients/{org_authorized_client_id}https://api.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}https://api.us2.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}https://api.uk1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}https://api.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}https://api.us3.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}https://api.us5.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}

概要

Enable or disable an OAuth2 client authorization for the current organization. This endpoint requires the org_authorized_apps_write permission.

OAuth apps require the org_authorized_apps_write authorization scope to access this endpoint.

引数

パスパラメーター

名前

タイプ

説明

org_authorized_client_id [required]

string

The ID of the org authorized client.

リクエスト

Body Data (required)

Expand All

フィールド

タイプ

説明

data [required]

object

Data object for updating an org authorized client.

attributes

object

Attributes for updating an org authorized client.

disabled

boolean

Whether to disable or enable this client for the organization.

id [required]

string

The unique identifier of the org authorized client to update.

type [required]

enum

The resource type for org authorized clients. Allowed enum values: org_authorized_clients

{
  "data": {
    "attributes": {
      "disabled": true
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "org_authorized_clients"
  }
}

応答

OK

Response containing a single org authorized client.

Expand All

フィールド

タイプ

説明

data [required]

object

Data object representing an org authorized client.

attributes [required]

object

Attributes of an org authorized client.

disabled [required]

boolean

Whether the organization has disabled this client.

last_exercised [required]

date-time

The date and time this client was last exercised.

user_count [required]

int64

The number of users in the organization who have authorized this client.

id [required]

string

The unique identifier of the org authorized client.

relationships [required]

object

Relationships for an org authorized client.

oauth2_client [required]

object

Relationship to the OAuth2 client for this org authorized client.

data [required]

object

Data identifying the OAuth2 client associated with this org authorized client.

id [required]

string

The ID of the OAuth2 client.

type [required]

enum

OAuth2 client resource type. Allowed enum values: oauth2_clients

user_authorized_clients [required]

object

Relationship to the user authorized clients for this org authorized client.

data [required]

[object]

List of user authorized client relationship data objects.

id [required]

string

The ID of the user authorized client.

type [required]

enum

User authorized client resource type. Allowed enum values: user_authorized_clients

links [required]

object

Links for the user authorized clients relationship.

related [required]

string

Link to the user authorized clients for this org authorized client.

type [required]

enum

The resource type for org authorized clients. Allowed enum values: org_authorized_clients

{
  "data": {
    "attributes": {
      "disabled": false,
      "last_exercised": "2024-01-15T10:30:00+00:00",
      "user_count": 2
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "relationships": {
      "oauth2_client": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000010",
          "type": "oauth2_clients"
        }
      },
      "user_authorized_clients": {
        "data": [
          {
            "id": "00000000-0000-0000-0000-000000000020",
            "type": "user_authorized_clients"
          }
        ],
        "links": {
          "related": "/api/v2/org_authorized_clients/00000000-0000-0000-0000-000000000001/user_authorized_clients"
        }
      }
    },
    "type": "org_authorized_clients"
  }
}

Bad Request

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Authentication error

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Unprocessable Entity

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

フィールド

タイプ

説明

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

コード例

                  ## default
# 

# Path parameters
export org_authorized_client_id="00000000-0000-0000-0000-000000000001"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/org_authorized_clients/${org_authorized_client_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "data": { "attributes": { "disabled": true }, "id": "00000000-0000-0000-0000-000000000001", "type": "org_authorized_clients" } } EOF
"""
Update an org authorized client returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_authorized_clients_api import OrgAuthorizedClientsApi
from datadog_api_client.v2.model.org_authorized_client_type import OrgAuthorizedClientType
from datadog_api_client.v2.model.org_authorized_client_update_attributes import OrgAuthorizedClientUpdateAttributes
from datadog_api_client.v2.model.org_authorized_client_update_data import OrgAuthorizedClientUpdateData
from datadog_api_client.v2.model.org_authorized_client_update_request import OrgAuthorizedClientUpdateRequest

body = OrgAuthorizedClientUpdateRequest(
    data=OrgAuthorizedClientUpdateData(
        attributes=OrgAuthorizedClientUpdateAttributes(
            disabled=True,
        ),
        id="00000000-0000-0000-0000-000000000001",
        type=OrgAuthorizedClientType.ORG_AUTHORIZED_CLIENTS,
    ),
)

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = OrgAuthorizedClientsApi(api_client)
    response = api_instance.update_org_authorized_client(
        org_authorized_client_id="00000000-0000-0000-0000-000000000001", body=body
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Update an org authorized client returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::OrgAuthorizedClientsAPI.new

body = DatadogAPIClient::V2::OrgAuthorizedClientUpdateRequest.new({
  data: DatadogAPIClient::V2::OrgAuthorizedClientUpdateData.new({
    attributes: DatadogAPIClient::V2::OrgAuthorizedClientUpdateAttributes.new({
      disabled: true,
    }),
    id: "00000000-0000-0000-0000-000000000001",
    type: DatadogAPIClient::V2::OrgAuthorizedClientType::ORG_AUTHORIZED_CLIENTS,
  }),
})
p api_instance.update_org_authorized_client("00000000-0000-0000-0000-000000000001", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Update an org authorized client returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.OrgAuthorizedClientUpdateRequest{
		Data: datadogV2.OrgAuthorizedClientUpdateData{
			Attributes: &datadogV2.OrgAuthorizedClientUpdateAttributes{
				Disabled: datadog.PtrBool(true),
			},
			Id:   "00000000-0000-0000-0000-000000000001",
			Type: datadogV2.ORGAUTHORIZEDCLIENTTYPE_ORG_AUTHORIZED_CLIENTS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgAuthorizedClientsApi(apiClient)
	resp, r, err := api.UpdateOrgAuthorizedClient(ctx, "00000000-0000-0000-0000-000000000001", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgAuthorizedClientsApi.UpdateOrgAuthorizedClient`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgAuthorizedClientsApi.UpdateOrgAuthorizedClient`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Update an org authorized client returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgAuthorizedClientsApi;
import com.datadog.api.client.v2.model.OrgAuthorizedClientResponse;
import com.datadog.api.client.v2.model.OrgAuthorizedClientType;
import com.datadog.api.client.v2.model.OrgAuthorizedClientUpdateAttributes;
import com.datadog.api.client.v2.model.OrgAuthorizedClientUpdateData;
import com.datadog.api.client.v2.model.OrgAuthorizedClientUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    OrgAuthorizedClientsApi apiInstance = new OrgAuthorizedClientsApi(defaultClient);

    OrgAuthorizedClientUpdateRequest body =
        new OrgAuthorizedClientUpdateRequest()
            .data(
                new OrgAuthorizedClientUpdateData()
                    .attributes(new OrgAuthorizedClientUpdateAttributes().disabled(true))
                    .id("00000000-0000-0000-0000-000000000001")
                    .type(OrgAuthorizedClientType.ORG_AUTHORIZED_CLIENTS));

    try {
      OrgAuthorizedClientResponse result =
          apiInstance.updateOrgAuthorizedClient("00000000-0000-0000-0000-000000000001", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling OrgAuthorizedClientsApi#updateOrgAuthorizedClient");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Update an org authorized client returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_authorized_clients::OrgAuthorizedClientsAPI;
use datadog_api_client::datadogV2::model::OrgAuthorizedClientType;
use datadog_api_client::datadogV2::model::OrgAuthorizedClientUpdateAttributes;
use datadog_api_client::datadogV2::model::OrgAuthorizedClientUpdateData;
use datadog_api_client::datadogV2::model::OrgAuthorizedClientUpdateRequest;

#[tokio::main]
async fn main() {
    let body = OrgAuthorizedClientUpdateRequest::new(
        OrgAuthorizedClientUpdateData::new(
            "00000000-0000-0000-0000-000000000001".to_string(),
            OrgAuthorizedClientType::ORG_AUTHORIZED_CLIENTS,
        )
        .attributes(OrgAuthorizedClientUpdateAttributes::new().disabled(true)),
    );
    let configuration = datadog::Configuration::new();
    let api = OrgAuthorizedClientsAPI::with_config(configuration);
    let resp = api
        .update_org_authorized_client("00000000-0000-0000-0000-000000000001".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Update an org authorized client returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.OrgAuthorizedClientsApi(configuration);

const params: v2.OrgAuthorizedClientsApiUpdateOrgAuthorizedClientRequest = {
  body: {
    data: {
      attributes: {
        disabled: true,
      },
      id: "00000000-0000-0000-0000-000000000001",
      type: "org_authorized_clients",
    },
  },
  orgAuthorizedClientId: "00000000-0000-0000-0000-000000000001",
};

apiInstance
  .updateOrgAuthorizedClient(params)
  .then((data: v2.OrgAuthorizedClientResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"